KDE 4.7 PyKDE API Reference

- KDE's Python API

# CollectionMoveJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that moves a collection in the Akonadi storage to a new parent collection.

This job moves an existing collection to a new parent collection.

     const Akonadi.Collection collection = ...
     const Akonadi.Collection newParent = ...

     Akonadi.CollectionMoveJob *job = new Akonadi.CollectionMoveJob( collection, newParent );
     connect( job, SIGNAL( result( KJob* ) ), this, SLOT( moveResult( KJob* ) ) );

Since:
  4.4

Author:
  Volker Krause <vkrause@kde.org>

## Methods
| __init__ (self, Akonadi.Collection collection, Akonadi.Collection destination, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | Akonadi.Collection | destination,
|  | QObject | parent=0
| ) |  |  |

Creates a new collection move job for the given collection and destination

Parameters:

  | collection | The collection to move.
  | destination | The destination collection where collection should be moved to.
  | parent | The parent object.

doStart | ( |  | self ) |